View Issue Details

IDProjectCategoryView StatusLast Update
0001594SOGoSOPEpublic2012-06-06 10:47
Reporterbuzzdee Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.11 
Target Version1.3.16Fixed in Version1.3.16 
Summary0001594: In -[NSObject(KeyValueCoding) takeValue:forKey:] This method is deprecated, use -setValue:forKey: --with patch
Description

This warning shows up with OGo and SOGo, found a shared usage of the deprecated method in SOPE. Attached patch uses the new proposed method.

Additional Information

could this please included in the next SOPE/SOGo release.

TagsNo tags attached.

Activities

2012-01-22 09:34

 

patch-sope-appserver_NGObjWeb_Associations_WOKeyPathAssociation_m (1,073 bytes)   
$OpenBSD$

fix deprecated warning

--- sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m.orig	Sun Jan 22 13:22:00 2012
+++ sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m	Sun Jan 22 13:29:07 2012
@@ -939,8 +939,7 @@ static BOOL _setValue(WOKeyPathAssociation *self, id _
 		handleUnknownKey stuff ...
     */
     
-#if GNUSTEP_BASE_LIBRARY && ((GNUSTEP_BASE_MAJOR_VERSION >= 1) && \
-			     (GNUSTEP_BASE_MINOR_VERSION >= 11))
+#if GNUSTEP_BASE_LIBRARY
     // TODO: also do this for OSX 10.4? probably
     [object setValue:_value forKey:info->extra.key];
 #else
@@ -1097,9 +1096,9 @@ static BOOL _setValue(WOKeyPathAssociation *self, id _
     return;
   }
 
-  if (info->type == WOKeyType_kvc) { // takeValue:forKey:..
+  if (info->type == WOKeyType_kvc) { // setValue:forKey:
     NSCAssert(info->extra.key, @"no key object set ..");
-    [_wo takeValue:uintNumObj(_value) forKey:info->extra.key];
+    [_wo setValue:uintNumObj(_value) forKey:info->extra.key];
     return;
   }
   if (info->type == WOKeyType_binding) { // setValue:forBinding:
buzzdee

buzzdee

2012-01-22 10:10

reporter   ~0003305

I missed two occurences where the deprecated method is called, the new patch contains those too.

ludovic

ludovic

2012-05-29 16:22

administrator   ~0003985

Patch applied - see:

http://mtn.inverse.ca/revision/diff/a53e8be2320aec0d1cd6ec52e82fba427afc9735/with/0971b8d4c54bb6e36c9ddbc585d5ba9ddd05df9a

Issue History

Date Modified Username Field Change
2012-01-22 09:34 buzzdee New Issue
2012-01-22 09:34 buzzdee File Added: patch-sope-appserver_NGObjWeb_Associations_WOKeyPathAssociation_m
2012-01-22 10:10 buzzdee Note Added: 0003305
2012-05-22 16:05 ludovic Target Version => 1.3.16
2012-05-29 16:22 ludovic Note Added: 0003985
2012-05-29 16:22 ludovic Status new => resolved
2012-05-29 16:22 ludovic Fixed in Version => 1.3.16
2012-05-29 16:22 ludovic Resolution open => fixed
2012-05-29 16:22 ludovic Assigned To => ludovic
2012-05-29 16:22 ludovic Status resolved => closed
2012-06-06 10:47 francis Fixed in Version 1.3.16 =>
2012-06-06 10:47 francis Target Version 1.3.16 =>
2012-06-06 10:47 francis Fixed in Version => 1.3.16
2012-06-06 10:47 francis Target Version => 1.3.16